[X2Go-Commits] [buildscripts] 05/05: bin/createsusetagsrepo: add some more (but unrelated) content.

git-admin at x2go.org git-admin at x2go.org
Sat Oct 29 02:14:08 CEST 2016


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit a0a9527e16168b0ab0d78024c52ad4e32f5ef832
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Sat Oct 29 02:13:54 2016 +0200

    bin/createsusetagsrepo: add some more (but unrelated) content.
---
 bin/createsusetagsrepo |   25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

diff --git a/bin/createsusetagsrepo b/bin/createsusetagsrepo
index 540fa6e..1afab3a 100755
--- a/bin/createsusetagsrepo
+++ b/bin/createsusetagsrepo
@@ -15,4 +15,27 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-exit 0
+export PATH="${HOME}/bin:${PATH}"
+
+# ${CDPATH} could lead to some very nasty problems. Better unset it.
+unset CDPATH
+
+usage () {
+  echo "Usage: $(basename "${0}") <top-directory-of-repository>" >&2
+  exit "1"
+}
+
+error () {
+  echo "Error: $@" >&2
+  exit "1"
+}
+
+set -e
+
+repo_top_dir="${1}"
+
+test -n "${repo_top_dir}" || usage
+
+cd "${repo_top_dir}" || error "Unable to switch to provided repository top directory."
+
+exit "0"

--
Alioth's /srv/git/code.x2go.org/buildscripts.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list